Package org.gridforum.jgss

# Class ExtendedGSSManager

java.lang.Object
org.ietf.jgss.GSSManager
org.gridforum.jgss.ExtendedGSSManager

Direct Known Subclasses:
  `GlobusGSSManagerImpl`

public abstract class ExtendedGSSManager extends GSSManager
Defines Java API for credential import extension as defined in the GSS-API Extensions document. Some of the functions might not specify all the parameters as in the document.
Notes:

- Protection key is currently not supported.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ExtendedGSSManager()`

## Method Summary

Modifier and Type
Method
Description
`abstract GSSCredential`
`createCredential(byte[] buff, int option, int lifetime, Oid mech, int usage)`
A factory method for creating a previously exported credential.
`static GSSManager`
`getInstance()`

### Methods inherited from class org.ietf.jgss.GSSManager

`addProviderAtEnd, addProviderAtFront, createContext, createContext, createContext, createCredential, createCredential, createCredential, createName, createName, createName, createName, getMechs, getMechsForName, getNamesForMech`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtendedGSSManager

protected ExtendedGSSManager()

## Method Details

### createCredential

public abstract GSSCredential createCredential(byte[] buff, int option, int lifetime, Oid mech, int usage) throws GSSException
A factory method for creating a previously exported credential.

Parameters:
  `buff` - The token emitted from the `ExtendedGSSCredential.export` method.
  `option` - The import type. The import type must be the same as the option used to export the buffer.
  `lifetime` - The number of seconds that credentials should remain valid. Use GSSCredential.INDEFINITE_LIFETIME to request that the credentials have the maximum permitted lifetime. Use GSSCredential.DEFAULT_LIFETIME to request default credential lifetime.
  `mech` - The desired mechanism for the imported credential, may be null to indicate system default.
  `usage` - The intended usage for this credential object. The value of this parameter must be one of: GSSCredential.INITIATE_AND_ACCEPT, GSSCredential.ACCEPT_ONLY, and GSSCredential.INITIATE_ONLY.
Throws:
  `GSSException` - containing the following major error codes: `GSSException.BAD_MECH, GSSException.DEFECTIVE_TOKEN, GSSException.NO_CRED, GSSException.CREDENTIAL_EXPIRED, GSSException.FAILURE`

### getInstance

public static GSSManager getInstance()